GNUNET-PEERINFO(1)

NAME
gnunet-peerinfo - display information about other peers

SYNOPSIS
gnunet-peerinfo [-c FILENAME | --config=FILENAME] [-g | --get-hello] [-h | --help] [-i | --info] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l LOGFILE | --logfile= -ns LOGFILE] [-n | --numeric] [-p HELLO | --put-hello=HELLO] [-q | --quiet] [-s | --self] [-v | --version]

DESCRIPTION
gnunet-peerinfo displays the known addresses and trust of known peers.

-c FILENAME | --config=FILENAME
    Load config file, default FILENAME of the config is ~/.config/gnunet.conf.

-g | --get-hello
    Output HELLO uri(s)

-h | --help
    Print the help page.

-i | --info
    List all known peers (and their addresses).

-L LOGLEVEL | --loglevel=LOGLEVEL
    Set the loglevel

-l LOGFILE | --logfile= -ns LOGFILE
    Log messages to LOGFILE

-n | --numeric
    Disable resolution of IPs to hostnames

-p HELLO | --put-hello=HELLO
    Add given HELLO uri to the database

-q | --quiet
    Do not print anything but the peer identities

-s | --self
    Print only our own identity. Together with -q, this is the exact line that other peers would have to put in to their friends file in order to consider this peer one of their friends in F2F mode.

-v | --version
    Print the version number

SEE ALSO
gnunet.conf(5)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.